
DataONE R Client - Task #849

Story # 927 (Closed): R Client needs DataPackage model and implementation

modify R client to download system and science metadata

2010-09-14 18:59 - Matthew Jones

Status: Closed Start date: 2012-10-19

Priority: High Due date:  

Assignee: Rob Nahf % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: DataONE R Client 1.0.0   

Milestone: None Story Points:  

Description

The R client (and underlying Java client) both simply retrieve the object associated with a GUID by calling the node GET routine. 

However, we also need to retrieve the system metadata for that object, use the describes and describedBy attributes to find

associated Science metadata, and retrieve and store all of these in the [[DataPackage]] object.

History

#1 - 2010-09-24 17:24 - Matthew Jones

The current R client now downloads system and science metadata.  However, it does not systematically retrieve all of the objects that relate together

for a dataset.  See emerging design for a data package retrieval in the architecture docs.

#2 - 2010-10-06 20:11 - Matthew Jones

- Milestone set to CCI-0.6

- Parent task set to #927

- Target version deleted (CCI-0.6)

#3 - 2011-10-07 16:55 - Matthew Jones

- % Done changed from 0 to 10

- Milestone changed from CCI-0.6 to None

- Status changed from New to In Progress

Now multiple data objects are downloaded, but based on describes/describedBy rather than ORE maps.

#4 - 2012-10-11 16:37 - Dave Vieglais

- Target version changed from Sprint-2012.39-Block.5.4 to Sprint-2012.41-Block.6.1

#5 - 2012-10-19 22:47 - Chris Jones

- Start date set to 2012-10-19

- Assignee changed from Matthew Jones to Rob Nahf

Assigning to Rob.

#6 - 2012-10-24 18:23 - Matthew Jones

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.44-Block.6.2

#7 - 2012-11-14 18:02 - Rob Nahf

- % Done changed from 10 to 50
#8 - 2012-12-12 18:58 - Rob Nahf

- Target version changed from Sprint-2012.44-Block.6.2 to Sprint-2012.50-Block.6.4

#9 - 2012-12-12 19:06 - Rob Nahf

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from In Progress to Closed

completed coding for in the R client, such that the R D1Object S4 class wraps the java D1Object (and the R DataPackage wraps the java

DataPackage)

#10 - 2013-02-22 18:50 - Matthew Jones

- Target version changed from Sprint-2012.50-Block.6.4 to DataONE R Client 1.0.0

#11 - 2013-02-22 19:02 - Matthew Jones

- Target version deleted (DataONE R Client 1.0.0)

#12 - 2013-02-22 19:09 - Matthew Jones

- Target version set to DataONE R Client 1.0.0
